image: docker:24.0.2
services:
  - docker:24.0.2-dind

variables:
  DOCKER_HOST: tcp://docker:2375
  DOCKER_TLS_CERDIR: ""
  DOCKER_FILE: "Dockerfile"
  NGINX_VERSION: "1.25.1"
  HEADERS_MORE_VERSION: "0.34"

stages:
  - build

.build_config:
  stage: build
  before_script:
    - echo "$CI_REGISTRY_PASSWORD" | docker login -u "$CI_REGISTRY_USER" "$CI_REGISTRY" --password-stdin
  script:
    - sh build.sh
  only:
    variables:
      - $CI_COMMIT_BRANCH == "development" || $CI_COMMIT_BRANCH == "main"

# Build environments
build:
  extends: .build_config